Index: spi25.c
===================================================================
--- spi25.c	(revision 1171)
+++ spi25.c	(working copy)
@@ -530,7 +530,7 @@
 		    ((flash->model_id & 0xff00) == 0x2500))
 			spi_prettyprint_status_register_st_m25p(status);
 		break;
-	case MX_ID:
+	case MACRONIX_ID:
 		if ((flash->model_id & 0xff00) == 0x2000)
 			spi_prettyprint_status_register_st_m25p(status);
 		break;
Index: flashchips.c
===================================================================
--- flashchips.c	(revision 1171)
+++ flashchips.c	(working copy)
@@ -61,7 +61,7 @@
 		.name		= "Am29F010A/B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29F010B,	/* Same as Am29F010A */
+		.model_id	= AMD_AM29F010B,	/* Same as Am29F010A */
 		.total_size	= 128,
 		.page_size	= 16 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -87,7 +87,7 @@
 		.name		= "Am29F002(N)BB",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29F002BB,
+		.model_id	= AMD_AM29F002BB,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_SHORT_RESET | FEATURE_ADDR_2AA,
@@ -118,7 +118,7 @@
 		.name		= "Am29F002(N)BT",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29F002BT,
+		.model_id	= AMD_AM29F002BT,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_EITHER_RESET | FEATURE_ADDR_2AA,
@@ -149,7 +149,7 @@
 		.name		= "Am29F016D",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29F016D,
+		.model_id	= AMD_AM29F016D,
 		.total_size	= 2 * 1024,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -175,7 +175,7 @@
 		.name		= "Am29F040B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29F040B,
+		.model_id	= AMD_AM29F040B,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -201,7 +201,7 @@
 		.name		= "Am29F080B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29F080B,
+		.model_id	= AMD_AM29F080B,
 		.total_size	= 1024,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -227,7 +227,7 @@
 		.name		= "Am29LV040B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29LV040B,
+		.model_id	= AMD_AM29LV040B,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -253,7 +253,7 @@
 		.name		= "Am29LV081B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= AMD_ID,
-		.model_id	= AM_29LV080B,
+		.model_id	= AMD_AM29LV080B,
 		.total_size	= 1024,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -1007,7 +1007,7 @@
 		.name		= "AT25DF021",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF021,
+		.model_id	= ATMEL_AT25DF021,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1044,7 +1044,7 @@
 		.name		= "AT25DF041A",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF041A,
+		.model_id	= ATMEL_AT25DF041A,
 		.total_size	= 512,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1081,7 +1081,7 @@
 		.name		= "AT25DF081",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF081,
+		.model_id	= ATMEL_AT25DF081,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1118,7 +1118,7 @@
 		.name		= "AT25DF081A",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF081A,
+		.model_id	= ATMEL_AT25DF081A,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1155,7 +1155,7 @@
 		.name		= "AT25DF161",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF161,
+		.model_id	= ATMEL_AT25DF161,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1192,7 +1192,7 @@
 		.name		= "AT25DF321",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF321,
+		.model_id	= ATMEL_AT25DF321,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1229,7 +1229,7 @@
 		.name		= "AT25DF321A",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF321A,
+		.model_id	= ATMEL_AT25DF321A,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1266,7 +1266,7 @@
 		.name		= "AT25DF641",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DF641,
+		.model_id	= ATMEL_AT25DF641,
 		.total_size	= 8192,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1303,7 +1303,7 @@
 		.name		= "AT25DQ161",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25DQ161,
+		.model_id	= ATMEL_AT25DQ161,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1340,7 +1340,7 @@
 		.name		= "AT25F512B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25F512B,
+		.model_id	= ATMEL_AT25F512B,
 		.total_size	= 64,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -1377,7 +1377,7 @@
 		.name		= "AT25FS010",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25FS010,
+		.model_id	= ATMEL_AT25FS010,
 		.total_size	= 128,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1416,7 +1416,7 @@
 		.name		= "AT25FS040",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_25FS040,
+		.model_id	= ATMEL_AT25FS040,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1452,7 +1452,7 @@
 		.name		= "AT26DF041",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_26DF041,
+		.model_id	= ATMEL_AT26DF041,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1474,7 +1474,7 @@
 		.name		= "AT26DF081A",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_26DF081A,
+		.model_id	= ATMEL_AT26DF081A,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.tested		= TEST_OK_PR,
@@ -1509,7 +1509,7 @@
 		.name		= "AT26DF161",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_26DF161,
+		.model_id	= ATMEL_AT26DF161,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1544,7 +1544,7 @@
 		.name		= "AT26DF161A",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_26DF161A,
+		.model_id	= ATMEL_AT26DF161A,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1580,7 +1580,7 @@
 		.name		= "AT26DF321",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_26DF321,
+		.model_id	= ATMEL_AT26DF321,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1596,7 +1596,7 @@
 		.name		= "AT26F004",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_26F004,
+		.model_id	= ATMEL_AT26F004,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -1630,7 +1630,7 @@
 		.name		= "AT29C512",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_29C512,
+		.model_id	= ATMEL_AT29C512,
 		.total_size	= 64,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -1654,7 +1654,7 @@
 		.name		= "AT29C010A",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_29C010A,
+		.model_id	= ATMEL_AT29C010A,
 		.total_size	= 128,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -1677,7 +1677,7 @@
 		.name		= "AT29C020",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_29C020,
+		.model_id	= ATMEL_AT29C020,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -1700,7 +1700,7 @@
 		.name		= "AT29C040A",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_29C040A,
+		.model_id	= ATMEL_AT29C040A,
 		.total_size	= 512,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -1723,7 +1723,7 @@
 		.name		= "AT45CS1282",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45CS1282,
+		.model_id	= ATMEL_AT45CS1282,
 		.total_size	= 16896 /* No power of two sizes */,
 		.page_size	= 1056 /* No power of two sizes */,
 		.tested		= TEST_BAD_READ,
@@ -1738,7 +1738,7 @@
 		.name		= "AT45DB011D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB011D,
+		.model_id	= ATMEL_AT45DB011D,
 		.total_size	= 128 /* Size can only be determined from status register */,
 		.page_size	= 256 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1753,7 +1753,7 @@
 		.name		= "AT45DB021D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB021D,
+		.model_id	= ATMEL_AT45DB021D,
 		.total_size	= 256 /* Size can only be determined from status register */,
 		.page_size	= 256 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1768,7 +1768,7 @@
 		.name		= "AT45DB041D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB041D,
+		.model_id	= ATMEL_AT45DB041D,
 		.total_size	= 512 /* Size can only be determined from status register */,
 		.page_size	= 256 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1783,7 +1783,7 @@
 		.name		= "AT45DB081D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB081D,
+		.model_id	= ATMEL_AT45DB081D,
 		.total_size	= 1024 /* Size can only be determined from status register */,
 		.page_size	= 256 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1798,7 +1798,7 @@
 		.name		= "AT45DB161D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB161D,
+		.model_id	= ATMEL_AT45DB161D,
 		.total_size	= 2048 /* Size can only be determined from status register */,
 		.page_size	= 512 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1813,7 +1813,7 @@
 		.name		= "AT45DB321C",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB321C,
+		.model_id	= ATMEL_AT45DB321C,
 		.total_size	= 4224 /* No power of two sizes */,
 		.page_size	= 528 /* No power of two sizes */,
 		.tested		= TEST_BAD_READ,
@@ -1828,7 +1828,7 @@
 		.name		= "AT45DB321D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB321D,
+		.model_id	= ATMEL_AT45DB321D,
 		.total_size	= 4096 /* Size can only be determined from status register */,
 		.page_size	= 512 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1843,7 +1843,7 @@
 		.name		= "AT45DB642D",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_45DB642D,
+		.model_id	= ATMEL_AT45DB642D,
 		.total_size	= 8192 /* Size can only be determined from status register */,
 		.page_size	= 1024 /* Size can only be determined from status register */,
 		.tested		= TEST_BAD_READ,
@@ -1858,7 +1858,7 @@
 		.name		= "AT49BV512",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_49BV512,
+		.model_id	= ATMEL_AT49BV512,
 		.total_size	= 64,
 		.page_size	= 64,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -1881,7 +1881,7 @@
 		.name		= "AT49F020",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_49F020,
+		.model_id	= ATMEL_AT49F020,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -1904,7 +1904,7 @@
 		.name		= "AT49F002(N)",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_49F002N,
+		.model_id	= ATMEL_AT49F002N,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -1935,7 +1935,7 @@
 		.name		= "AT49F002(N)T",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= ATMEL_ID,
-		.model_id	= AT_49F002NT,
+		.model_id	= ATMEL_AT49F002NT,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -2029,7 +2029,7 @@
 		.name		= "EN25B05",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B05,
+		.model_id	= EON_EN25B05,
 		.total_size	= 64,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2060,7 +2060,7 @@
 		.name		= "EN25B05T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B05,
+		.model_id	= EON_EN25B05,
 		.total_size	= 64,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2091,7 +2091,7 @@
 		.name		= "EN25B10",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B10,
+		.model_id	= EON_EN25B10,
 		.total_size	= 128,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2122,7 +2122,7 @@
 		.name		= "EN25B10T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B10,
+		.model_id	= EON_EN25B10,
 		.total_size	= 128,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2153,7 +2153,7 @@
 		.name		= "EN25B20",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B20,
+		.model_id	= EON_EN25B20,
 		.total_size	= 256,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2185,7 +2185,7 @@
 		.name		= "EN25B20T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B20,
+		.model_id	= EON_EN25B20,
 		.total_size	= 256,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2217,7 +2217,7 @@
 		.name		= "EN25B40",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B40,
+		.model_id	= EON_EN25B40,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2249,7 +2249,7 @@
 		.name		= "EN25B40T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B40,
+		.model_id	= EON_EN25B40,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2281,7 +2281,7 @@
 		.name		= "EN25B80",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B80,
+		.model_id	= EON_EN25B80,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2313,7 +2313,7 @@
 		.name		= "EN25B80T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B80,
+		.model_id	= EON_EN25B80,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2345,7 +2345,7 @@
 		.name		= "EN25B16",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B16,
+		.model_id	= EON_EN25B16,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2377,7 +2377,7 @@
 		.name		= "EN25B16T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B16,
+		.model_id	= EON_EN25B16,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2409,7 +2409,7 @@
 		.name		= "EN25B32",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B32,
+		.model_id	= EON_EN25B32,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2441,7 +2441,7 @@
 		.name		= "EN25B32T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B32,
+		.model_id	= EON_EN25B32,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2473,7 +2473,7 @@
 		.name		= "EN25B64",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B64,
+		.model_id	= EON_EN25B64,
 		.total_size	= 8192,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2506,7 +2506,7 @@
 		.name		= "EN25B64T",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25B64,
+		.model_id	= EON_EN25B64,
 		.total_size	= 8192,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2538,7 +2538,7 @@
 		.name		= "EN25D16",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25D16,
+		.model_id	= EON_EN25D16,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -2573,7 +2573,7 @@
 		.name		= "EN25F05",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F05,
+		.model_id	= EON_EN25F05,
 		.total_size	= 64,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2609,7 +2609,7 @@
 		.name		= "EN25F10",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F10,
+		.model_id	= EON_EN25F10,
 		.total_size	= 128,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2645,7 +2645,7 @@
 		.name		= "EN25F20",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F20,
+		.model_id	= EON_EN25F20,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2681,7 +2681,7 @@
 		.name		= "EN25F40",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F40,
+		.model_id	= EON_EN25F40,
 		.total_size	= 512,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2714,7 +2714,7 @@
 		.name		= "EN25F80",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F80,
+		.model_id	= EON_EN25F80,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2747,7 +2747,7 @@
 		.name		= "EN25F16",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F16,
+		.model_id	= EON_EN25F16,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2780,7 +2780,7 @@
 		.name		= "EN25F32",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= EON_ID_NOPREFIX,
-		.model_id	= EN_25F32,
+		.model_id	= EON_EN25F32,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -2813,7 +2813,7 @@
 		.name		= "EN29F010",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= EON_ID,
-		.model_id	= EN_29F010,
+		.model_id	= EON_EN29F010,
 		.total_size	= 128,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -2840,7 +2840,7 @@
 		.name		= "EN29F002(A)(N)B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= EON_ID,
-		.model_id	= EN_29F002B,
+		.model_id	= EON_EN29F002B,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_ADDR_AAA | FEATURE_EITHER_RESET,
@@ -2871,7 +2871,7 @@
 		.name		= "EN29F002(A)(N)T",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= EON_ID,
-		.model_id	= EN_29F002T,
+		.model_id	= EON_EN29F002T,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_ADDR_AAA | FEATURE_EITHER_RESET,
@@ -2902,7 +2902,7 @@
 		.name		= "MBM29F004BC",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= FUJITSU_ID,
-		.model_id	= MBM29F004BC,
+		.model_id	= FUJITSU_MBM29F004BC,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -2933,7 +2933,7 @@
 		.name		= "MBM29F004TC",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= FUJITSU_ID,
-		.model_id	= MBM29F004TC,
+		.model_id	= FUJITSU_MBM29F004TC,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -2965,7 +2965,7 @@
 		.name		= "MBM29F400BC",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= FUJITSU_ID,
-		.model_id	= MBM29F400BC,
+		.model_id	= FUJITSU_MBM29F400BC,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_SHIFTED | FEATURE_EITHER_RESET,
@@ -2996,7 +2996,7 @@
 		.name		= "MBM29F400TC",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= FUJITSU_ID,
-		.model_id	= MBM29F400TC,
+		.model_id	= FUJITSU_MBM29F400TC,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_SHIFTED | FEATURE_EITHER_RESET,
@@ -3027,7 +3027,7 @@
 		.name		= "HY29F002T",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= HYUNDAI_ID,
-		.model_id	= HY_29F002T,
+		.model_id	= HYUNDAI_HY29F002T,
 		.total_size	= 256,
 		.page_size	= 256 * 1024,
 		.feature_bits	= FEATURE_EITHER_RESET, /* Some revisions may need FEATURE_ADDR_2AA */
@@ -3058,7 +3058,7 @@
 		.name		= "HY29F002B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= HYUNDAI_ID,
-		.model_id	= HY_29F002B,
+		.model_id	= HYUNDAI_HY29F002B,
 		.total_size	= 256,
 		.page_size	= 256 * 1024,
 		.feature_bits	= FEATURE_EITHER_RESET, /* Some revisions may need FEATURE_ADDR_2AA */
@@ -3348,8 +3348,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L512",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L512,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L512,
 		.total_size	= 64,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3384,8 +3384,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L1005",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L1005,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L1005,
 		.total_size	= 128,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3417,8 +3417,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L2005",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L2005,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L2005,
 		.total_size	= 256,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3453,8 +3453,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L4005",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L4005,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L4005,
 		.total_size	= 512,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3489,8 +3489,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L8005",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L8005,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L8005,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3525,8 +3525,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L1605",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L1605,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L1605,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3561,8 +3561,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L1635D",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L1635D,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L1635D,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3594,8 +3594,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L1635E",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L1635E,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L1635E,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3627,8 +3627,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L3205",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L3205,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L3205,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3660,8 +3660,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L3235D",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L3235D,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L3235D,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3693,8 +3693,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L6405",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L6405,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L6405,
 		.total_size	= 8192,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3726,8 +3726,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX25L12805",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_25L12805,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX25L12805,
 		.total_size	= 16384,
 		.page_size	= 256,
 		.feature_bits	= FEATURE_WRSR_WREN,
@@ -3759,8 +3759,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX29F001B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_29F001B,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX29F001B,
 		.total_size	= 128,
 		.page_size	= 32 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -3791,8 +3791,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX29F001T",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_29F001T,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX29F001T,
 		.total_size	= 128,
 		.page_size	= 32 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -3823,8 +3823,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX29F002B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_29F002B,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX29F002B,
 		.total_size	= 256,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -3854,8 +3854,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX29F002T",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_29F002T,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX29F002T,
 		.total_size	= 256,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -3885,8 +3885,8 @@
 		.vendor		= "Macronix",
 		.name		= "MX29LV040",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
-		.manufacture_id	= MX_ID,
-		.model_id	= MX_29LV040,
+		.manufacture_id	= MACRONIX_ID,
+		.model_id	= MACRONIX_MX29LV040,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_SHORT_RESET,
@@ -4239,7 +4239,7 @@
 		.name		= "Pm25LV010",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= PMC_ID,
-		.model_id	= PMC_25LV010,
+		.model_id	= PMC_PM25LV010,
 		.total_size	= 128,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4268,7 +4268,7 @@
 		.name		= "Pm25LV016B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= PMC_ID,
-		.model_id	= PMC_25LV016B,
+		.model_id	= PMC_PM25LV016B,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4303,7 +4303,7 @@
 		.name		= "Pm25LV020",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= PMC_ID,
-		.model_id	= PMC_25LV020,
+		.model_id	= PMC_PM25LV020,
 		.total_size	= 256,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4332,7 +4332,7 @@
 		.name		= "Pm25LV040",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= PMC_ID,
-		.model_id	= PMC_25LV040,
+		.model_id	= PMC_PM25LV040,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4361,7 +4361,7 @@
 		.name		= "Pm25LV080B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= PMC_ID,
-		.model_id	= PMC_25LV080B,
+		.model_id	= PMC_PM25LV080B,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4396,7 +4396,7 @@
 		.name		= "Pm25LV512",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= PMC_ID,
-		.model_id	= PMC_25LV512,
+		.model_id	= PMC_PM25LV512,
 		.total_size	= 64,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4425,7 +4425,7 @@
 		.name		= "Pm29F002T",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_29F002T,
+		.model_id	= PMC_PM29F002T,
 		.total_size	= 256,
 		.page_size	= 8 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -4456,7 +4456,7 @@
 		.name		= "Pm29F002B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_29F002B,
+		.model_id	= PMC_PM29F002B,
 		.total_size	= 256,
 		.page_size	= 8 * 1024,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -4487,7 +4487,7 @@
 		.name		= "Pm39LV010",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_39F010,	/* Pm39LV010 and Pm39F010 have identical IDs but different voltage */
+		.model_id	= PMC_PM39F010,	/* Pm39LV010 and Pm39F010 have identical IDs but different voltage */
 		.total_size	= 128,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -4516,7 +4516,7 @@
 		.name		= "Pm39LV020",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_39LV020,
+		.model_id	= PMC_PM39LV020,
 		.total_size	= 256,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -4545,7 +4545,7 @@
 		.name		= "Pm39LV040",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_39LV040,
+		.model_id	= PMC_PM39LV040,
 		.total_size	= 512,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_ADDR_2AA | FEATURE_EITHER_RESET,
@@ -4574,7 +4574,7 @@
 		.name		= "Pm49FL002",
 		.bustype	= CHIP_BUSTYPE_LPC | CHIP_BUSTYPE_FWH, /* A/A Mux */
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_49FL002,
+		.model_id	= PMC_PM49FL002,
 		.total_size	= 256,
 		.page_size	= 16 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP | FEATURE_EITHER_RESET,
@@ -4604,7 +4604,7 @@
 		.name		= "Pm49FL004",
 		.bustype	= CHIP_BUSTYPE_LPC | CHIP_BUSTYPE_FWH, /* A/A Mux */
 		.manufacture_id	= PMC_ID_NOPREFIX,
-		.model_id	= PMC_49FL004,
+		.model_id	= PMC_PM49FL004,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP | FEATURE_EITHER_RESET,
@@ -4744,7 +4744,7 @@
 		.name		= "SST25VF016B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF016B,
+		.model_id	= SST_SST25VF016B,
 		.total_size	= 2048,
 		.page_size	= 256,
 		.tested		= TEST_OK_PREW,
@@ -4779,7 +4779,7 @@
 		.name		= "SST25VF032B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF032B,
+		.model_id	= SST_SST25VF032B,
 		.total_size	= 4096,
 		.page_size	= 256,
 		.tested		= TEST_OK_PRW,
@@ -4814,7 +4814,7 @@
 		.name		= "SST25VF064C",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF064C,
+		.model_id	= SST_SST25VF064C,
 		.total_size	= 8192,
 		.page_size	= 256,
 		.tested		= TEST_OK_PREW,
@@ -4849,7 +4849,7 @@
 		.name		= "SST25VF040.REMS",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF040_REMS,
+		.model_id	= SST_SST25VF040_REMS,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_OK_PR,
@@ -4878,7 +4878,7 @@
 		.name		= "SST25VF040B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF040B,
+		.model_id	= SST_SST25VF040B,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_UNTESTED,
@@ -4913,7 +4913,7 @@
 		.name		= "SST25LF040A.RES",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF040_REMS,
+		.model_id	= SST_SST25VF040_REMS,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_OK_PROBE,
@@ -4942,7 +4942,7 @@
 		.name		= "SST25VF040B.REMS",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF040B_REMS,
+		.model_id	= SST_SST25VF040B_REMS,
 		.total_size	= 512,
 		.page_size	= 256,
 		.tested		= TEST_OK_PR,
@@ -4977,7 +4977,7 @@
 		.name		= "SST25VF080B",
 		.bustype	= CHIP_BUSTYPE_SPI,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_25VF080B,
+		.model_id	= SST_SST25VF080B,
 		.total_size	= 1024,
 		.page_size	= 256,
 		.tested		= TEST_OK_PREW,
@@ -5012,7 +5012,7 @@
 		.name		= "SST28SF040A",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_28SF040,
+		.model_id	= SST_SST28SF040,
 		.total_size	= 512,
 		.page_size	= 256,
 		.feature_bits	= 0,
@@ -5038,7 +5038,7 @@
 		.name		= "SST29EE010",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_29EE010,
+		.model_id	= SST_SST29EE010,
 		.total_size	= 128,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -5061,7 +5061,7 @@
 		.name		= "SST29LE010",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_29LE010,
+		.model_id	= SST_SST29LE010,
 		.total_size	= 128,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -5084,7 +5084,7 @@
 		.name		= "SST29EE020A",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_29EE020A,
+		.model_id	= SST_SST29EE020A,
 		.total_size	= 256,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -5107,7 +5107,7 @@
 		.name		= "SST29LE020",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_29LE020,
+		.model_id	= SST_SST29LE020,
 		.total_size	= 256,
 		.page_size	= 128,
 		.feature_bits	= FEATURE_LONG_RESET,
@@ -5130,7 +5130,7 @@
 		.name		= "SST39SF512",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39SF512,
+		.model_id	= SST_SST39SF512,
 		.total_size	= 64,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5156,7 +5156,7 @@
 		.name		= "SST39SF010A",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39SF010,
+		.model_id	= SST_SST39SF010,
 		.total_size	= 128,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5182,7 +5182,7 @@
 		.name		= "SST39SF020A",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39SF020,
+		.model_id	= SST_SST39SF020,
 		.total_size	= 256,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5208,7 +5208,7 @@
 		.name		= "SST39SF040",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39SF040,
+		.model_id	= SST_SST39SF040,
 		.total_size	= 512,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5234,7 +5234,7 @@
 		.name		= "SST39VF512",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39VF512,
+		.model_id	= SST_SST39VF512,
 		.total_size	= 64,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5260,7 +5260,7 @@
 		.name		= "SST39VF010",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39VF010,
+		.model_id	= SST_SST39VF010,
 		.total_size	= 128,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5286,7 +5286,7 @@
 		.name		= "SST39VF020",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39VF020,
+		.model_id	= SST_SST39VF020,
 		.total_size	= 256,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5312,7 +5312,7 @@
 		.name		= "SST39VF040",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39VF040,
+		.model_id	= SST_SST39VF040,
 		.total_size	= 512,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5338,7 +5338,7 @@
 		.name		= "SST39VF080",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_39VF080,
+		.model_id	= SST_SST39VF080,
 		.total_size	= 1024,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5367,7 +5367,7 @@
 		.name		= "SST49LF002A/B",
 		.bustype	= CHIP_BUSTYPE_FWH, /* A/A Mux */
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF002A,
+		.model_id	= SST_SST49LF002A,
 		.total_size	= 256,
 		.page_size	= 16 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP | FEATURE_EITHER_RESET,
@@ -5398,7 +5398,7 @@
 		.name		= "SST49LF003A/B",
 		.bustype	= CHIP_BUSTYPE_FWH, /* A/A Mux */
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF003A,
+		.model_id	= SST_SST49LF003A,
 		.total_size	= 384,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP | FEATURE_EITHER_RESET,
@@ -5432,7 +5432,7 @@
 		.name		= "SST49LF004A/B",
 		.bustype	= CHIP_BUSTYPE_FWH, /* A/A Mux */
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF004A,
+		.model_id	= SST_SST49LF004A,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP | FEATURE_EITHER_RESET,
@@ -5463,7 +5463,7 @@
 		.name		= "SST49LF004C",
 		.bustype	= CHIP_BUSTYPE_FWH,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF004C,
+		.model_id	= SST_SST49LF004C,
 		.total_size	= 512,
 		.page_size	= 4 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP,
@@ -5495,7 +5495,7 @@
 		.name		= "SST49LF008A",
 		.bustype	= CHIP_BUSTYPE_FWH, /* A/A Mux */
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF008A,
+		.model_id	= SST_SST49LF008A,
 		.total_size	= 1024,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP | FEATURE_EITHER_RESET,
@@ -5526,7 +5526,7 @@
 		.name		= "SST49LF008C",
 		.bustype	= CHIP_BUSTYPE_FWH,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF008C,
+		.model_id	= SST_SST49LF008C,
 		.total_size	= 1024,
 		.page_size	= 4 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP,
@@ -5558,7 +5558,7 @@
 		.name		= "SST49LF016C",
 		.bustype	= CHIP_BUSTYPE_FWH,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF016C,
+		.model_id	= SST_SST49LF016C,
 		.total_size	= 2048,
 		.page_size	= 4 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP,
@@ -5590,7 +5590,7 @@
 		.name		= "SST49LF020",
 		.bustype	= CHIP_BUSTYPE_LPC,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF020,
+		.model_id	= SST_SST49LF020,
 		.total_size	= 256,
 		.page_size	= 16 * 1024,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5619,7 +5619,7 @@
 		.name		= "SST49LF020A",
 		.bustype	= CHIP_BUSTYPE_LPC,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF020A,
+		.model_id	= SST_SST49LF020A,
 		.total_size	= 256,
 		.page_size	= 4 * 1024,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5648,7 +5648,7 @@
 		.name		= "SST49LF040",
 		.bustype	= CHIP_BUSTYPE_LPC,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF040,
+		.model_id	= SST_SST49LF040,
 		.total_size	= 512,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5677,7 +5677,7 @@
 		.name		= "SST49LF040B",
 		.bustype	= CHIP_BUSTYPE_LPC, /* A/A Mux */
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF040B,
+		.model_id	= SST_SST49LF040B,
 		.total_size	= 512,
 		.page_size	= 64 * 1024,
 		.feature_bits	= FEATURE_EITHER_RESET | FEATURE_REGISTERMAP,
@@ -5707,7 +5707,7 @@
 		.name		= "SST49LF080A",
 		.bustype	= CHIP_BUSTYPE_LPC, /* A/A Mux */
 		.manufacture_id	= SST_ID,
- 		.model_id	= SST_49LF080A,
+ 		.model_id	= SST_SST49LF080A,
 		.total_size	= 1024,
 		.page_size	= 4096,
 		.feature_bits	= FEATURE_EITHER_RESET,
@@ -5736,7 +5736,7 @@
 		.name		= "SST49LF160C",
 		.bustype	= CHIP_BUSTYPE_LPC,
 		.manufacture_id	= SST_ID,
-		.model_id	= SST_49LF160C,
+		.model_id	= SST_SST49LF160C,
 		.total_size	= 2048,
 		.page_size	= 4 * 1024,
 		.feature_bits	= FEATURE_REGISTERMAP,
@@ -7740,7 +7740,7 @@
 		.vendor		= "Macronix",
 		.name		= "unknown Macronix SPI chip",
 		.bustype	= CHIP_BUSTYPE_SPI,
-		.manufacture_id	= MX_ID,
+		.manufacture_id	= MACRONIX_ID,
 		.model_id	= GENERIC_DEVICE_ID,
 		.total_size	= 0,
 		.page_size	= 256,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 1171)
+++ flashchips.h	(working copy)
@@ -40,38 +40,38 @@
 #define ALLIANCE_ID		0x52	/* Alliance Semiconductor */
 
 #define AMD_ID			0x01	/* AMD */
-#define AM_29DL400BT		0x0C
-#define AM_29DL400BB		0x0F
-#define AM_29DL800BT		0x4A
-#define AM_29DL800BB		0xCB
-#define AM_29F002BB		0x34	/* Same as Am29F002NBB */
-#define AM_29F002BT		0xB0	/* Same as Am29F002NBT */
-#define AM_29F004BB		0x7B
-#define AM_29F004BT		0x77
-#define AM_29F016D		0xAD
-#define AM_29F010B		0x20	/* Same as Am29F010A */
-#define AM_29F040B		0xA4
-#define AM_29F080B		0xD5
-#define AM_29F200BB		0x57
-#define AM_29F200BT		0x51
-#define AM_29F400BB		0xAB
-#define AM_29F400BT		0x23
-#define AM_29F800BB		0x58
-#define AM_29F800BT		0xD6
-#define AM_29LV002BB		0xC2
-#define AM_29LV002BT		0x40
-#define AM_29LV004BB		0xB6
-#define AM_29LV004BT		0xB5
-#define AM_29LV008BB		0x37
-#define AM_29LV008BT		0x3E
-#define AM_29LV040B		0x4F
-#define AM_29LV080B		0x38	/* Same as Am29LV081B */
-#define AM_29LV200BB		0xBF
-#define AM_29LV200BT		0x3B
-#define AM_29LV800BB		0x5B	/* Same as Am29LV800DB */
-#define AM_29LV400BT		0xB9
-#define AM_29LV400BB		0xBA
-#define AM_29LV800BT		0xDA	/* Same as Am29LV800DT */
+#define AMD_AM29DL400BT		0x0C
+#define AMD_AM29DL400BB		0x0F
+#define AMD_AM29DL800BT		0x4A
+#define AMD_AM29DL800BB		0xCB
+#define AMD_AM29F002BB		0x34	/* Same as Am29F002NBB */
+#define AMD_AM29F002BT		0xB0	/* Same as Am29F002NBT */
+#define AMD_AM29F004BB		0x7B
+#define AMD_AM29F004BT		0x77
+#define AMD_AM29F016D		0xAD
+#define AMD_AM29F010B		0x20	/* Same as Am29F010A */
+#define AMD_AM29F040B		0xA4
+#define AMD_AM29F080B		0xD5
+#define AMD_AM29F200BB		0x57
+#define AMD_AM29F200BT		0x51
+#define AMD_AM29F400BB		0xAB
+#define AMD_AM29F400BT		0x23
+#define AMD_AM29F800BB		0x58
+#define AMD_AM29F800BT		0xD6
+#define AMD_AM29LV002BB		0xC2
+#define AMD_AM29LV002BT		0x40
+#define AMD_AM29LV004BB		0xB6
+#define AMD_AM29LV004BT		0xB5
+#define AMD_AM29LV008BB		0x37
+#define AMD_AM29LV008BT		0x3E
+#define AMD_AM29LV040B		0x4F
+#define AMD_AM29LV080B		0x38	/* Same as Am29LV081B */
+#define AMD_AM29LV200BB		0xBF
+#define AMD_AM29LV200BT		0x3B
+#define AMD_AM29LV800BB		0x5B	/* Same as Am29LV800DB */
+#define AMD_AM29LV400BT		0xB9
+#define AMD_AM29LV400BB		0xBA
+#define AMD_AM29LV800BT		0xDA	/* Same as Am29LV800DT */
 
 #define AMIC_ID			0x7F37	/* AMIC */
 #define AMIC_ID_NOPREFIX	0x37	/* AMIC */
@@ -111,65 +111,65 @@
 #define AMIC_A49LF040A		0x9d
 
 #define ATMEL_ID		0x1F	/* Atmel */
-#define AT_25DF021		0x4300
-#define AT_25DF041A		0x4401
-#define AT_25DF081		0x4502
-#define AT_25DF081A		0x4501	/* Yes, 81A has a lower number than 81 */
-#define AT_25DF161		0x4602
-#define AT_25DF321		0x4700	/* Same as 26DF321 */
-#define AT_25DF321A		0x4701
-#define AT_25DF641		0x4800
-#define AT_25DQ161		0x8600
-#define AT25F512		/* No device ID found in datasheet. Vendor ID
+#define ATMEL_AT25DF021		0x4300
+#define ATMEL_AT25DF041A	0x4401
+#define ATMEL_AT25DF081		0x4502
+#define ATMEL_AT25DF081A	0x4501	/* Yes, 81A has a lower number than 81 */
+#define ATMEL_AT25DF161		0x4602
+#define ATMEL_AT25DF321		0x4700	/* Same as 26DF321 */
+#define ATMEL_AT25DF321A	0x4701
+#define ATMEL_AT25DF641		0x4800
+#define ATMEL_AT25DQ161		0x8600
+#define ATMEL_AT25F512		/* No device ID found in datasheet. Vendor ID
 				 * can be read with AT25F512A_RDID */
-#define AT_25F512A		0x65 /* Needs AT25F512A_RDID */
-#define AT_25F512B		0x6500
+#define ATMEL_AT25F512A		0x65 /* Needs AT25F512A_RDID */
+#define ATMEL_AT25F512B		0x6500
 #define AT25F1024		/* No device ID found in datasheet. Vendor ID
 				 * can be read with AT25F512A_RDID */
-#define AT_25F1024A		0x60 /* Needs AT25F512A_RDID */
-#define AT_25FS010		0x6601
-#define AT_25FS040		0x6604
-#define AT_26DF041		0x4400
-#define AT_26DF081		0x4500	/* guessed, no datasheet available */
-#define AT_26DF081A		0x4501
-#define AT_26DF161		0x4600
-#define AT_26DF161A		0x4601
-#define AT_26DF321		0x4700	/* Same as 25DF321 */
-#define AT_26F004		0x0400
-#define AT_29C040A		0xA4
-#define AT_29C010A		0xD5	
-#define AT_29C020		0xDA
-#define AT_29C512		0x5D	
-#define AT_45BR3214B		/* No ID available */
-#define AT_45CS1282		0x2920
-#define AT_45D011		/* No ID available */
-#define AT_45D021A		/* No ID available */
-#define AT_45D041A		/* No ID available */
-#define AT_45D081A		/* No ID available */
-#define AT_45D161		/* No ID available */
-#define AT_45DB011		/* No ID available */
-#define AT_45DB011B		/* No ID available */
-#define AT_45DB011D		0x2200
-#define AT_45DB021A		/* No ID available */
-#define AT_45DB021B		/* No ID available */
-#define AT_45DB021D		0x2300
-#define AT_45DB041A		/* No ID available */
-#define AT_45DB041D		0x2400
-#define AT_45DB081A		/* No ID available */
-#define AT_45DB081D		0x2500
-#define AT_45DB161		/* No ID available */
-#define AT_45DB161B		/* No ID available */
-#define AT_45DB161D		0x2600
-#define AT_45DB321		/* No ID available */
-#define AT_45DB321B		/* No ID available */
-#define AT_45DB321C		0x2700
-#define AT_45DB321D		0x2701 /* Buggy data sheet */
-#define AT_45DB642		/* No ID available */
-#define AT_45DB642D		0x2800
-#define AT_49BV512		0x03
-#define AT_49F020		0x0B
-#define AT_49F002N		0x07	/* for AT49F002(N)  */
-#define AT_49F002NT		0x08	/* for AT49F002(N)T */
+#define ATMEL_AT25F1024A		0x60 /* Needs AT25F512A_RDID */
+#define ATMEL_AT25FS010		0x6601
+#define ATMEL_AT25FS040		0x6604
+#define ATMEL_AT26DF041		0x4400
+#define ATMEL_AT26DF081		0x4500	/* guessed, no datasheet available */
+#define ATMEL_AT26DF081A		0x4501
+#define ATMEL_AT26DF161		0x4600
+#define ATMEL_AT26DF161A		0x4601
+#define ATMEL_AT26DF321		0x4700	/* Same as 25DF321 */
+#define ATMEL_AT26F004		0x0400
+#define ATMEL_AT29C040A		0xA4
+#define ATMEL_AT29C010A		0xD5
+#define ATMEL_AT29C020		0xDA
+#define ATMEL_AT29C512		0x5D
+#define ATMEL_AT45BR3214B	/* No ID available */
+#define ATMEL_AT45CS1282	0x2920
+#define ATMEL_AT45D011		/* No ID available */
+#define ATMEL_AT45D021A		/* No ID available */
+#define ATMEL_AT45D041A		/* No ID available */
+#define ATMEL_AT45D081A		/* No ID available */
+#define ATMEL_AT45D161		/* No ID available */
+#define ATMEL_AT45DB011		/* No ID available */
+#define ATMEL_AT45DB011B	/* No ID available */
+#define ATMEL_AT45DB011D	0x2200
+#define ATMEL_AT45DB021A	/* No ID available */
+#define ATMEL_AT45DB021B	/* No ID available */
+#define ATMEL_AT45DB021D	0x2300
+#define ATMEL_AT45DB041A	/* No ID available */
+#define ATMEL_AT45DB041D	0x2400
+#define ATMEL_AT45DB081A	/* No ID available */
+#define ATMEL_AT45DB081D	0x2500
+#define ATMEL_AT45DB161		/* No ID available */
+#define ATMEL_AT45DB161B	/* No ID available */
+#define ATMEL_AT45DB161D	0x2600
+#define ATMEL_AT45DB321		/* No ID available */
+#define ATMEL_AT45DB321B	/* No ID available */
+#define ATMEL_AT45DB321C	0x2700
+#define ATMEL_AT45DB321D	0x2701 /* Buggy data sheet */
+#define ATMEL_AT45DB642		/* No ID available */
+#define ATMEL_AT45DB642D	0x2800
+#define ATMEL_AT49BV512		0x03
+#define ATMEL_AT49F020		0x0B
+#define ATMEL_AT49F002N		0x07	/* for AT49F002(N)  */
+#define ATMEL_AT49F002NT		0x08	/* for AT49F002(N)T */
 
 #define CATALYST_ID		0x31	/* Catalyst */
 
@@ -188,94 +188,94 @@
  */
 #define EON_ID			0x7F1C	/* EON Silicon Devices */
 #define EON_ID_NOPREFIX		0x1C	/* EON, missing 0x7F prefix */
-#define EN_25B05		0x2010	/* Same as P05, 2^19 kbit or 2^16 kByte */
-#define EN_25B05T		0x25
-#define EN_25B05B		0x95
-#define EN_25B10		0x2011	/* Same as P10 */
-#define EN_25B10T		0x40
-#define EN_25B10B		0x30
-#define EN_25B20		0x2012	/* Same as P20 */
-#define EN_25B20T		0x41
-#define EN_25B20B		0x31
-#define EN_25B40		0x2013	/* Same as P40 */
-#define EN_25B40T		0x42
-#define EN_25B40B		0x32
-#define EN_25B80		0x2014	/* Same as P80 */
-#define EN_25B80T		0x43
-#define EN_25B80B		0x33
-#define EN_25B16		0x2015	/* Same as P16 */
-#define EN_25B16T		0x44
-#define EN_25B16B		0x34
-#define EN_25B32		0x2016	/* Same as P32 */
-#define EN_25B32T		0x45
-#define EN_25B32B		0x35
-#define EN_25B64		0x2017	/* Same as P64 */
-#define EN_25B64T		0x46
-#define EN_25B64B		0x36
-#define EN_25D16		0x3015
-#define EN_25F05		0x3110
-#define EN_25F10		0x3111
-#define EN_25F20		0x3112
-#define EN_25F40		0x3113
-#define EN_25F80		0x3114
-#define EN_25F16		0x3115
-#define EN_25F32		0x3116
-#define EN_29F512		0x7F21
-#define EN_29F010		0x20
-#define EN_29F040A		0x7F04
-#define EN_29LV010		0x7F6E
-#define EN_29LV040A		0x7F4F	/* EN_29LV040(A) */
-#define EN_29F002T		0x7F92	/* Same as EN29F002A */
-#define EN_29F002B		0x7F97	/* Same as EN29F002AN */
+#define EON_EN25B05		0x2010	/* Same as P05, 2^19 kbit or 2^16 kByte */
+#define EON_EN25B05T		0x25
+#define EON_EN25B05B		0x95
+#define EON_EN25B10		0x2011	/* Same as P10 */
+#define EON_EN25B10T		0x40
+#define EON_EN25B10B		0x30
+#define EON_EN25B20		0x2012	/* Same as P20 */
+#define EON_EN25B20T		0x41
+#define EON_EN25B20B		0x31
+#define EON_EN25B40		0x2013	/* Same as P40 */
+#define EON_EN25B40T		0x42
+#define EON_EN25B40B		0x32
+#define EON_EN25B80		0x2014	/* Same as P80 */
+#define EON_EN25B80T		0x43
+#define EON_EN25B80B		0x33
+#define EON_EN25B16		0x2015	/* Same as P16 */
+#define EON_EN25B16T		0x44
+#define EON_EN25B16B		0x34
+#define EON_EN25B32		0x2016	/* Same as P32 */
+#define EON_EN25B32T		0x45
+#define EON_EN25B32B		0x35
+#define EON_EN25B64		0x2017	/* Same as P64 */
+#define EON_EN25B64T		0x46
+#define EON_EN25B64B		0x36
+#define EON_EN25D16		0x3015
+#define EON_EN25F05		0x3110
+#define EON_EN25F10		0x3111
+#define EON_EN25F20		0x3112
+#define EON_EN25F40		0x3113
+#define EON_EN25F80		0x3114
+#define EON_EN25F16		0x3115
+#define EON_EN25F32		0x3116
+#define EON_EN29F512		0x7F21
+#define EON_EN29F010		0x20
+#define EON_EN29F040A		0x7F04
+#define EON_EN29LV010		0x7F6E
+#define EON_EN29LV040A		0x7F4F	/* EN29LV040(A) */
+#define EON_EN29F002T		0x7F92	/* Same as EN29F002A */
+#define EON_EN29F002B		0x7F97	/* Same as EN29F002AN */
 
 #define FUJITSU_ID		0x04	/* Fujitsu */
-#define MBM29DL400BC		0x0F
-#define MBM29DL400TC		0x0C
-#define MBM29DL800BA		0xCB
-#define MBM29DL800TA		0x4A
-#define MBM29F002BC		0x34
-#define MBM29F002TC		0xB0
-#define MBM29F004BC		0x7B
-#define MBM29F004TC		0x77
-#define MBM29F040C		0xA4
-#define MBM29F080A		0xD5
-#define MBM29F200BC		0x57
-#define MBM29F200TC		0x51
-#define MBM29F400BC		0xAB
-#define MBM29F400TC		0x23
-#define MBM29F800BA		0x58
-#define MBM29F800TA		0xD6
-#define MBM29LV002BC		0xC2
-#define MBM29LV002TC		0x40
-#define MBM29LV004BC		0xB6
-#define MBM29LV004TC		0xB5
-#define MBM29LV008BA		0x37
-#define MBM29LV008TA		0x3E
-#define MBM29LV080A		0x38
-#define MBM29LV200BC		0xBF
-#define MBM29LV200TC		0x3B
-#define MBM29LV400BC		0xBA
-#define MBM29LV400TC		0xB9
-#define MBM29LV800BA		0x5B	/* Same as MBM29LV800BE */
-#define MBM29LV800TA		0xDA	/* Same as MBM29LV800TE */
+#define FUJITSU_MBM29DL400BC	0x0F
+#define FUJITSU_MBM29DL400TC	0x0C
+#define FUJITSU_MBM29DL800BA	0xCB
+#define FUJITSU_MBM29DL800TA	0x4A
+#define FUJITSU_MBM29F002BC	0x34
+#define FUJITSU_MBM29F002TC	0xB0
+#define FUJITSU_MBM29F004BC	0x7B
+#define FUJITSU_MBM29F004TC	0x77
+#define FUJITSU_MBM29F040C	0xA4
+#define FUJITSU_MBM29F080A	0xD5
+#define FUJITSU_MBM29F200BC	0x57
+#define FUJITSU_MBM29F200TC	0x51
+#define FUJITSU_MBM29F400BC	0xAB
+#define FUJITSU_MBM29F400TC	0x23
+#define FUJITSU_MBM29F800BA	0x58
+#define FUJITSU_MBM29F800TA	0xD6
+#define FUJITSU_MBM29LV002BC	0xC2
+#define FUJITSU_MBM29LV002TC	0x40
+#define FUJITSU_MBM29LV004BC	0xB6
+#define FUJITSU_MBM29LV004TC	0xB5
+#define FUJITSU_MBM29LV008BA	0x37
+#define FUJITSU_MBM29LV008TA	0x3E
+#define FUJITSU_MBM29LV080A	0x38
+#define FUJITSU_MBM29LV200BC	0xBF
+#define FUJITSU_MBM29LV200TC	0x3B
+#define FUJITSU_MBM29LV400BC	0xBA
+#define FUJITSU_MBM29LV400TC	0xB9
+#define FUJITSU_MBM29LV800BA	0x5B	/* Same as MBM29LV800BE */
+#define FUJITSU_MBM29LV800TA	0xDA	/* Same as MBM29LV800TE */
 
 #define HYUNDAI_ID		0xAD	/* Hyundai */
-#define HY_29F400T		0x23	/* Same as HY_29F400AT */
-#define HY_29F800B		0x58	/* Same as HY_29F800AB */
-#define HY_29LV800B		0x5B
-#define HY_29F040A		0xA4
-#define HY_29F400B		0xAB	/* Same as HY_29F400AB */
-#define HY_29F002B		0x34
-#define HY_29F002T		0xB0
-#define HY_29LV400T		0xB9
-#define HY_29LV400B		0xBA
-#define HY_29F080		0xD5
-#define HY_29F800T		0xD6	/* Same as HY_29F800AT */
-#define HY_29LV800T		0xDA
+#define HYUNDAI_HY29F400T	0x23	/* Same as HY29F400AT */
+#define HYUNDAI_HY29F800B	0x58	/* Same as HY29F800AB */
+#define HYUNDAI_HY29LV800B	0x5B
+#define HYUNDAI_HY29F040A	0xA4
+#define HYUNDAI_HY29F400B	0xAB	/* Same as HY29F400AB */
+#define HYUNDAI_HY29F002B	0x34
+#define HYUNDAI_HY29F002T	0xB0
+#define HYUNDAI_HY29LV400T	0xB9
+#define HYUNDAI_HY29LV400B	0xBA
+#define HYUNDAI_HY29F080	0xD5
+#define HYUNDAI_HY29F800T	0xD6	/* Same as HY29F800AT */
+#define HYUNDAI_HY29LV800T	0xDA
 
 #define IMT_ID			0x7F1F	/* Integrated Memory Technologies */
-#define IM_29F004B		0xAE
-#define IM_29F004T		0xAF
+#define IMT_IM29F004B		0xAE
+#define IMT_IM29F004T		0xAF
 
 #define INTEL_ID		0x89	/* Intel */
 #define I_82802AB		0xAD
@@ -301,58 +301,58 @@
  * Generalplus SPI chips seem to be compatible with Macronix
  * and use the same set of IDs.
  */
-#define MX_ID			0xC2	/* Macronix (MX) */
-#define MX_25L512		0x2010	/* Same as MX25V512 */
-#define MX_25L1005		0x2011
-#define MX_25L2005		0x2012
-#define MX_25L4005		0x2013	/* MX25L4005{,A} */
-#define MX_25L8005		0x2014	/* Same as MX25V8005 */
-#define MX_25L1605		0x2015	/* MX25L1605{,A,D} */
-#define MX_25L3205		0x2016	/* MX25L3205{,A} */
-#define MX_25L6405		0x2017	/* MX25L3205{,D} */
-#define MX_25L12805		0x2018	/* MX25L12805 */
-#define MX_25L1635D		0x2415
-#define MX_25L1635E		0x2515	/* MX25L1635{E} */
-#define MX_25L3235D		0x5E16	/* MX25L3225D/MX25L3235D/MX25L3237D */
-#define MX_29F001B		0x19
-#define MX_29F001T		0x18
-#define MX_29F002B		0x34	/* Same as MX29F002NB */
-#define MX_29F002T		0xB0	/* Same as MX29F002NT */
-#define MX_29F004B		0x46
-#define MX_29F004T		0x45
-#define MX_29F022T		0x36	/* Same as MX29F022NT */
-#define MX_29F040		0xA4	/* Same as MX29F040C */
-#define MX_29F080		0xD5
-#define MX_29F200B		0x57	/* Same as MX29F200CB */
-#define MX_29F200T		0x51	/* Same as MX29F200CT */
-#define MX_29F400B		0xAB	/* Same as MX29F400CB */
-#define MX_29F400T		0x23	/* Same as MX29F400CT */
-#define MX_29F800B		0x58
-#define MX_29F800T		0xD6
-#define MX_29LV002CB		0x5A
-#define MX_29LV002CT		0x59
-#define MX_29LV004B		0xB6	/* Same as MX29LV004CB */
-#define MX_29LV004T		0xB5	/* Same as MX29LV004CT */
-#define MX_29LV008B		0x37	/* Same as MX29LV008CB */
-#define MX_29LV008T		0x3E	/* Same as MX29LV008CT */
-#define MX_29LV040		0x4F	/* Same as MX29LV040C */
-#define MX_29LV081		0x38
-#define MX_29LV128DB		0x7A
-#define MX_29LV128DT		0x7E
-#define MX_29LV160DB		0x49	/* Same as MX29LV161DB/MX29LV160CB */
-#define MX_29LV160DT		0xC4	/* Same as MX29LV161DT/MX29LV160CT */
-#define MX_29LV320DB		0xA8	/* Same as MX29LV321DB */
-#define MX_29LV320DT		0xA7	/* Same as MX29LV321DT */
-#define MX_29LV400B		0xBA	/* Same as MX29LV400CB */
-#define MX_29LV400T		0xB9	/* Same as MX29LV400CT */
-#define MX_29LV640DB		0xCB	/* Same as MX29LV640EB */
-#define MX_29LV640DT		0xC9	/* Same as MX29LV640ET */
-#define MX_29LV800B		0x5B	/* Same as MX29LV800CB */
-#define MX_29LV800T		0xDA	/* Same as MX29LV800CT */
-#define MX_29SL402CB		0xF1
-#define MX_29SL402CT		0x70
-#define MX_29SL800CB		0x6B	/* Same as MX29SL802CB */
-#define MX_29SL800CT		0xEA	/* Same as MX29SL802CT */
+#define MACRONIX_ID		0xC2	/* Macronix (MX) */
+#define MACRONIX_MX25L512	0x2010	/* Same as MX25V512 */
+#define MACRONIX_MX25L1005	0x2011
+#define MACRONIX_MX25L2005	0x2012
+#define MACRONIX_MX25L4005	0x2013	/* MX25L4005{,A} */
+#define MACRONIX_MX25L8005	0x2014	/* Same as MX25V8005 */
+#define MACRONIX_MX25L1605	0x2015	/* MX25L1605{,A,D} */
+#define MACRONIX_MX25L3205	0x2016	/* MX25L3205{,A} */
+#define MACRONIX_MX25L6405	0x2017	/* MX25L3205{,D} */
+#define MACRONIX_MX25L12805	0x2018	/* MX25L12805 */
+#define MACRONIX_MX25L1635D	0x2415
+#define MACRONIX_MX25L1635E	0x2515	/* MX25L1635{E} */
+#define MACRONIX_MX25L3235D	0x5E16	/* MX25L3225D/MX25L3235D/MX25L3237D */
+#define MACRONIX_MX29F001B	0x19
+#define MACRONIX_MX29F001T	0x18
+#define MACRONIX_MX29F002B	0x34	/* Same as MX29F002NB */
+#define MACRONIX_MX29F002T	0xB0	/* Same as MX29F002NT */
+#define MACRONIX_MX29F004B	0x46
+#define MACRONIX_MX29F004T	0x45
+#define MACRONIX_MX29F022T	0x36	/* Same as MX29F022NT */
+#define MACRONIX_MX29F040	0xA4	/* Same as MX29F040C */
+#define MACRONIX_MX29F080	0xD5
+#define MACRONIX_MX29F200B	0x57	/* Same as MX29F200CB */
+#define MACRONIX_MX29F200T	0x51	/* Same as MX29F200CT */
+#define MACRONIX_MX29F400B	0xAB	/* Same as MX29F400CB */
+#define MACRONIX_MX29F400T	0x23	/* Same as MX29F400CT */
+#define MACRONIX_MX29F800B	0x58
+#define MACRONIX_MX29F800T	0xD6
+#define MACRONIX_MX29LV002CB	0x5A
+#define MACRONIX_MX29LV002CT	0x59
+#define MACRONIX_MX29LV004B	0xB6	/* Same as MX29LV004CB */
+#define MACRONIX_MX29LV004T	0xB5	/* Same as MX29LV004CT */
+#define MACRONIX_MX29LV008B	0x37	/* Same as MX29LV008CB */
+#define MACRONIX_MX29LV008T	0x3E	/* Same as MX29LV008CT */
+#define MACRONIX_MX29LV040	0x4F	/* Same as MX29LV040C */
+#define MACRONIX_MX29LV081	0x38
+#define MACRONIX_MX29LV128DB	0x7A
+#define MACRONIX_MX29LV128DT	0x7E
+#define MACRONIX_MX29LV160DB	0x49	/* Same as MX29LV161DB/MX29LV160CB */
+#define MACRONIX_MX29LV160DT	0xC4	/* Same as MX29LV161DT/MX29LV160CT */
+#define MACRONIX_MX29LV320DB	0xA8	/* Same as MX29LV321DB */
+#define MACRONIX_MX29LV320DT	0xA7	/* Same as MX29LV321DT */
+#define MACRONIX_MX29LV400B	0xBA	/* Same as MX29LV400CB */
+#define MACRONIX_MX29LV400T	0xB9	/* Same as MX29LV400CT */
+#define MACRONIX_MX29LV640DB	0xCB	/* Same as MX29LV640EB */
+#define MACRONIX_MX29LV640DT	0xC9	/* Same as MX29LV640ET */
+#define MACRONIX_MX29LV800B	0x5B	/* Same as MX29LV800CB */
+#define MACRONIX_MX29LV800T	0xDA	/* Same as MX29LV800CT */
+#define MACRONIX_MX29SL402CB	0xF1
+#define MACRONIX_MX29SL402CT	0x70
+#define MACRONIX_MX29SL800CB	0x6B	/* Same as MX29SL802CB */
+#define MACRONIX_MX29SL800CT	0xEA	/* Same as MX29SL802CT */
 
 /*
  * Programmable Micro Corp is listed in JEP106W in bank 2, so it should
@@ -360,22 +360,22 @@
  */
 #define PMC_ID			0x7F9D	/* PMC */
 #define PMC_ID_NOPREFIX		0x9D	/* PMC, missing 0x7F prefix */
-#define PMC_25LV512		0x7B
-#define PMC_25LV010		0x7C
-#define PMC_25LV020		0x7D
-#define PMC_25LV040		0x7E
-#define PMC_25LV080B		0x13
-#define PMC_25LV016B		0x14
-#define PMC_29F002T		0x1D
-#define PMC_29F002B		0x2D
-#define PMC_39LV512		0x1B
-#define PMC_39F010		0x1C	/* Same as Pm39LV010 */
-#define PMC_39LV020		0x3D
-#define PMC_39LV040		0x3E
-#define PMC_39F020		0x4D
-#define PMC_39F040		0x4E
-#define PMC_49FL002		0x6D
-#define PMC_49FL004		0x6E
+#define PMC_PM25LV512		0x7B
+#define PMC_PM25LV010		0x7C
+#define PMC_PM25LV020		0x7D
+#define PMC_PM25LV040		0x7E
+#define PMC_PM25LV080B		0x13
+#define PMC_PM25LV016B		0x14
+#define PMC_PM29F002T		0x1D
+#define PMC_PM29F002B		0x2D
+#define PMC_PM39LV512		0x1B
+#define PMC_PM39F010		0x1C	/* Same as Pm39LV010 */
+#define PMC_PM39LV020		0x3D
+#define PMC_PM39LV040		0x3E
+#define PMC_PM39F020		0x4D
+#define PMC_PM39F040		0x4E
+#define PMC_PM49FL002		0x6D
+#define PMC_PM49FL004		0x6E
 
 /* 
  * The Sanyo chip found so far uses SPI, first byte is manufacture code,
@@ -408,63 +408,63 @@
  * byte of device ID is related to log(bitsize) at least for some chips.
  */
 #define SST_ID			0xBF	/* SST */
-#define SST_25WF512		0x2501
-#define SST_25WF010		0x2502
-#define SST_25WF020		0x2503
-#define SST_25WF040		0x2504
-#define SST_25VF512A_REMS	0x48	/* REMS or RES opcode */
-#define SST_25VF010_REMS	0x49	/* REMS or RES opcode */
-#define SST_25VF020_REMS	0x43	/* REMS or RES opcode */
-#define SST_25VF040_REMS	0x44	/* REMS or RES opcode, same as SST25LF040A */
-#define SST_25VF040B		0x258D
-#define SST_25VF040B_REMS	0x8D	/* REMS or RES opcode */
-#define SST_25VF080_REMS	0x80	/* REMS or RES opcode */
-#define SST_25VF080B		0x258E
-#define SST_25VF080B_REMS	0x8E	/* REMS or RES opcode */
-#define SST_25VF016B		0x2541
-#define SST_25VF032B		0x254A
-#define SST_25VF032B_REMS	0x4A	/* REMS or RES opcode */
-#define SST_25VF064C		0x254B
-#define SST_26VF016		0x2601
-#define SST_26VF032		0x2602
-#define SST_27SF512		0xA4
-#define SST_27SF010		0xA5
-#define SST_27SF020		0xA6
-#define SST_27VF010		0xA9
-#define SST_27VF020		0xAA
-#define SST_28SF040		0x04
-#define SST_29EE512		0x5D
-#define SST_29EE010		0x07
-#define SST_29LE010		0x08	/* Same as SST29VE010 */
-#define SST_29EE020A		0x10	/* Same as SST29EE020 */
-#define SST_29LE020		0x12	/* Same as SST29VE020 */
-#define SST_29SF020		0x24
-#define SST_29VF020		0x25
-#define SST_29SF040		0x13
-#define SST_29VF040		0x14
-#define SST_39SF512		0xB4
-#define SST_39SF010		0xB5
-#define SST_39SF020		0xB6	/* Same as 39SF020A */
-#define SST_39SF040		0xB7
-#define SST_39VF512		0xD4
-#define SST_39VF010		0xD5
-#define SST_39VF020		0xD6	/* Same as 39LF020 */
-#define SST_39VF040		0xD7	/* Same as 39LF040 */
-#define SST_39VF080		0xD8	/* Same as 39LF080/39VF080/39VF088 */
-#define SST_49LF040B		0x50
-#define SST_49LF040		0x51
-#define SST_49LF020		0x61
-#define SST_49LF020A		0x52
-#define SST_49LF030A		0x1C
-#define SST_49LF080A		0x5B
-#define SST_49LF002A		0x57
-#define SST_49LF003A		0x1B
-#define SST_49LF004A		0x60	/* Same as 49LF004B */
-#define SST_49LF008A		0x5A
-#define SST_49LF004C		0x54
-#define SST_49LF008C		0x59
-#define SST_49LF016C		0x5C
-#define SST_49LF160C		0x4C
+#define SST_SST25WF512		0x2501
+#define SST_SST25WF010		0x2502
+#define SST_SST25WF020		0x2503
+#define SST_SST25WF040		0x2504
+#define SST_SST25VF512A_REMS	0x48	/* REMS or RES opcode */
+#define SST_SST25VF010_REMS	0x49	/* REMS or RES opcode */
+#define SST_SST25VF020_REMS	0x43	/* REMS or RES opcode */
+#define SST_SST25VF040_REMS	0x44	/* REMS or RES opcode, same as SST25LF040A */
+#define SST_SST25VF040B		0x258D
+#define SST_SST25VF040B_REMS	0x8D	/* REMS or RES opcode */
+#define SST_SST25VF080_REMS	0x80	/* REMS or RES opcode */
+#define SST_SST25VF080B		0x258E
+#define SST_SST25VF080B_REMS	0x8E	/* REMS or RES opcode */
+#define SST_SST25VF016B		0x2541
+#define SST_SST25VF032B		0x254A
+#define SST_SST25VF032B_REMS	0x4A	/* REMS or RES opcode */
+#define SST_SST25VF064C		0x254B
+#define SST_SST26VF016		0x2601
+#define SST_SST26VF032		0x2602
+#define SST_SST27SF512		0xA4
+#define SST_SST27SF010		0xA5
+#define SST_SST27SF020		0xA6
+#define SST_SST27VF010		0xA9
+#define SST_SST27VF020		0xAA
+#define SST_SST28SF040		0x04
+#define SST_SST29EE512		0x5D
+#define SST_SST29EE010		0x07
+#define SST_SST29LE010		0x08	/* Same as SST29VE010 */
+#define SST_SST29EE020A		0x10	/* Same as SST29EE020 */
+#define SST_SST29LE020		0x12	/* Same as SST29VE020 */
+#define SST_SST29SF020		0x24
+#define SST_SST29VF020		0x25
+#define SST_SST29SF040		0x13
+#define SST_SST29VF040		0x14
+#define SST_SST39SF512		0xB4
+#define SST_SST39SF010		0xB5
+#define SST_SST39SF020		0xB6	/* Same as 39SF020A */
+#define SST_SST39SF040		0xB7
+#define SST_SST39VF512		0xD4
+#define SST_SST39VF010		0xD5
+#define SST_SST39VF020		0xD6	/* Same as 39LF020 */
+#define SST_SST39VF040		0xD7	/* Same as 39LF040 */
+#define SST_SST39VF080		0xD8	/* Same as 39LF080/39VF080/39VF088 */
+#define SST_SST49LF040B		0x50
+#define SST_SST49LF040		0x51
+#define SST_SST49LF020		0x61
+#define SST_SST49LF020A		0x52
+#define SST_SST49LF030A		0x1C
+#define SST_SST49LF080A		0x5B
+#define SST_SST49LF002A		0x57
+#define SST_SST49LF003A		0x1B
+#define SST_SST49LF004A		0x60	/* Same as 49LF004B */
+#define SST_SST49LF008A		0x5A
+#define SST_SST49LF004C		0x54
+#define SST_SST49LF008C		0x59
+#define SST_SST49LF016C		0x5C
+#define SST_SST49LF160C		0x4C
 
 /*
  * ST25P chips are SPI, first byte of device ID is memory type, second
